import { access, constants, mkdir, writeFile } from 'fs/promises';
export async function path_exists(filepath) {
    try {
        await access(filepath, constants.R_OK | constants.W_OK);
        return true;
    }
    catch (err) {
        return false;
    }
}
export async function ensure_path(path) {
    if (!await path_exists(path)) {
        await mkdir(path);
    }
}
export async function ensure_file(filepath) {
    if (!await path_exists(filepath)) {
        await writeFile(filepath, '');
    }
}
export function convert_value(value) {
    return value * 100_000_000;
}
export function convert_vout(vout) {
    return vout.map(e => {
        return { ...e, value: convert_value(e.value) };
    });
}
//# sourceMappingURL=util.js.map